# getMultipleAccounts

Returns the account information for a list of Pubkeys.

This method will use `30` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

* `array` string. An array of Pubkeys to query encoded as base-58 strings (up to a maximum of 100).
* `object` *optional.* Configuration object containing the following fields:
  * `commitment` string. The level of commitment required for the query. The options include:
    * `finalized` string.
      * The node will query the most recent block confirmed by the supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized.
    * `confirmed` string.
      * The node will query the most recent block that has been voted on by the supermajority of the cluster.
    * `processed` string.
      * The node will query its most recent block. Note that the block may not be complete.
* `encoding` string. (default: json) The encoding format for account data. It can be one of base58 (slow), base64, base64+zstd or jsonParsed.
* `dataSlice` string. The returned account data using the provided offset: 'usize' and length: 'usize' fields; only available for base58, base64, or base64+zstd encodings.
* `minContextSlot` integer. The minimum slot at which the request can be evaluated.

## Returns

`result` Null if the account doesn't exist otherwise RpcResponse JSON object with the following fields:

* `context` An object that contains metadata about the current state of the Solana network at the time the request was processed.
  * `apiVersion` The version of the Solana RPC API to use.
  * `slot` The current slot in the Solana cluster during which the transactions are processed and new blocks are added to the blockchain.
* `value` An object that contains information about the requested account.
  * `data` The data associated with the account, either as encoded binary data or JSON format {'program': 'state'}, depending on encoding parameter.
  * `executable` A boolean value indicating whether the account holds a program and is therefore restricted to read-only access.
  * `lamports` The quantity of lamports allocated to this account as u64 (64-bit unsigned integer).
  * `owner` The base-58 encoded public key of the program to which this account has been assigned.
  * `rentEpoch` The epoch, represented as a 64-bit unsigned integer (u64), at which this account will next be due for rent.
  * `space` The amount of storage space required to store the token account.

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": {
		"context": {
			"apiVersion": "2.1.11",
			"slot": 320155434
		},
		"value": [
			null,
			{
				"data": [
					"",
					"base64"
				],
				"executable": false,
				"lamports": 2000000,
				"owner": "11111111111111111111111111111111",
				"rentEpoch": 18446744073709551615,
				"space": 80
			}
		]
	},
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0","id": 1,"method": "getMultipleAccounts","params": [["vines1vzrYbzLMRdu58ou5XTby4qAqVRLmqo36NKPTg","4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA"],{"dataSlice": {"offset": 0,"length": 0}}]}'
    
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0","id": 1,"method": "getMultipleAccounts","params": [["vines1vzrYbzLMRdu58ou5XTby4qAqVRLmqo36NKPTg","4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA"],{"dataSlice": {"offset": 0,"length": 0}}]}'
    
```

{% endtab %}
{% endtabs %}
